#!/bin/bash

MODULE=snort
HREFDIR="secure/modules/$MODULE"
WEBDIR="/var/www-naat/html/$HREFDIR"
RULESDIR="/etc/snort"
SYSLOG="/var/log/syslog"
PORTSCANLOG="/var/log/snort/portscan.log"


mkdir -p $WEBDIR

snortsnarf.pl -d $WEBDIR -homenet {
 my $chain = "";
  for ($i=0; $i<5; $i++) {
	my $interface = "Eth".$i;
	my $EthKnown = eval ('$'.$interface."Known") ;
	my $EthIP = eval ('$'.$interface."IP");
	my $EthMask = eval ('$'.$interface."Mask");

	next if ( !($EthIP) ) ;

	if (($EthKnown !~ /^\s*$/) && ($EthKnown eq "true") && ($EthIP !~ /^\s*$/) && ("\L$interface" ne "\L$InternetInterface")) {
	$chain .= "".backend::util::computeLocalNetworkShortSpec($EthIP,$EthMask).",";
	}
  }	
	chop($chain); #remove the last comma
	$OUT .= "[".$chain."]";
 } -cgidir $WEBDIR -rulesdir $RULESDIR $SYSLOG $PORTSCANLOG
